Package org.apache.struts2.util.classloader

# Class ResourceStoreClassLoader

java.lang.Object
java.lang.ClassLoader
org.apache.struts2.util.classloader.ResourceStoreClassLoader

public final class ResourceStoreClassLoader extends ClassLoader
class taken from Apache JCI

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResourceStoreClassLoader(ClassLoader pParent, ResourceStore[] pStores)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Class`
  `findClass(String name)`
  `protected Class`
  `loadClass(String name, boolean resolve)`

  ### Methods inherited from class java.lang.ClassLoader

  `clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findResource, findResources, findSystemClass, getClassLoadingLock, getDefinedPackage, getDefinedPackages, getName, getPackage, getPackages, getParent, getPlatformClassLoader, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, getUnnamedModule, isRegisteredAsParallelCapable, loadClass, registerAsParallelCapable, resolveClass, resources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ResourceStoreClassLoader

    public ResourceStoreClassLoader(ClassLoader pParent, ResourceStore[] pStores)

- ## Method Details

  - ### loadClass

    protected Class loadClass(String name, boolean resolve) throws ClassNotFoundException
    Overrides:
      `loadClass` in class `ClassLoader`
    Throws:
      `ClassNotFoundException`

  - ### findClass

    protected Class findClass(String name) throws ClassNotFoundException
    Overrides:
      `findClass` in class `ClassLoader`
    Throws:
      `ClassNotFoundException`